Subject: bug#19175: 24.4; make-frame-on-display fails if emacs started with -nw

From: Eli Zaretskii <[email-masked]>
Date: Tue, 31 Mar 2015 05:34:19 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],  [email-masked]
> Date: Mon, 30 Mar 2015 16:51:22 -0400
> 
> >> I don't think this fix is important enough to delay the release.
> > I obviously think differently.
> 
> How old is this bug?  IIUC it's pretty old, so there's no hurry to
> fix it in 24.5 rather than in Emacs-25.  It's not fixing a regression.

It is still a bad problem, and could very well raise its ugly head in
other, more important situations.

> > Fixing the ChangeLog is easy, if
> > that's the only problem: just swap the entries.
> 
> No, the problem is delaying the release by having another RC candidate.

There's no need: we are making a simple change that doesn't require
another RC, IMO.